<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.icon.mapper.IconInfoMapper">

    <resultMap type="IconInfo" id="IconInfoResult">
        <result property="id"    column="id"    />
        <result property="content"    column="content"    />
        <result property="imageurl"    column="imageUrl"    />
        <result property="title"    column="title"    />
        <result property="category"    column="category"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectIconInfoVo">
        select * from icon_info
    </sql>

    <select id="selectIconInfoList" parameterType="IconInfo" resultMap="IconInfoResult">
        <include refid="selectIconInfoVo"/>
        <where>
            <if test="content != null  and content != ''"> and content = #{content}</if>
            <if test="imageurl != null  and imageurl != ''"> and imageUrl = #{imageurl}</if>
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="category != null  and category != ''"> and category = #{category}</if>
        </where>
    </select>

</mapper>
